<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'shopping',

    /*
     * Package.
     */
    'package'   => 'seller',

    /*
     * Modules.
     */
    'modules'   => ['seller', 
'seller_bank_info'],

    'seller'       => [
        'model' => [
            'model'                 => \Shopping\Seller\Models\Seller::class,
            'table'                 => 'sellers',
            'presenter'             => \Shopping\Seller\Repositories\Presenter\SellerPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['reporting_to',  'name',  'email',  'password',  'business_type',  'gst_number',  'tan',  'other_authorized_seller',  'other_authorization_certificate',  'handloom_marketing',  'handloom_authorized_certificate',  'pan',  'api_token',  'remember_token',  'mobile',  'phone',  'address',  'branch',  'city',  'district',  'state',  'pincode',  'country',  'document',  'permissions',  'signature',  'logo',  'status',  'is_verified',  'is_locked',  'user_id',  'user_type',  'upload_folder',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'seller/seller',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Shopping',
            'package'   => 'Seller',
            'module'    => 'Seller',
        ],

    ],

    'seller_bank_info'       => [
        'model' => [
            'model'                 => \Shopping\Seller\Models\SellerBankInfo::class,
            'table'                 => 'seller_bank_infos',
            'presenter'             => \Shopping\Seller\Repositories\Presenter\SellerBankInfoPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'seller_id',  'bank_name',  'account_number',  'branch',  'city',  'state',  'document',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'seller/seller_bank_info',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Shopping',
            'package'   => 'Seller',
            'module'    => 'SellerBankInfo',
        ],

    ],
];
