<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateSellersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: sellers
         */
        Schema::create('sellers', function ($table) {
            $table->increments('id');
            $table->integer('reporting_to')->nullable();
            $table->string('name', 100)->nullable();
            $table->string('email', 255)->nullable();
            $table->string('password', 100)->nullable();
            $table->string('business_type', 50)->nullable();
            $table->string('gst_number', 100)->nullable();
            $table->string('tan', 50)->nullable();
            $table->enum('other_authorized_seller', ['Yes','No'])->nullable();
            $table->string('other_authorization_certificate', 250)->nullable();
            $table->enum('handloom_marketing', ['Yes','No'])->nullable();
            $table->string('handloom_authorized_certificate', 250)->nullable();
            $table->string('pan', 100)->nullable();
            $table->string('api_token', 60)->nullable();
            $table->string('remember_token', 255)->nullable();
            $table->string('mobile', 100)->nullable();
            $table->string('phone', 100)->nullable();
            $table->string('address', 255)->nullable();
            $table->string('branch', 100)->nullable();
            $table->string('city', 100)->nullable();
            $table->string('district', 100)->nullable();
            $table->string('state', 100)->nullable();
            $table->string('pincode', 25)->nullable();
            $table->integer('country')->nullable();
            $table->text('document')->nullable();
            $table->longText('permissions')->nullable();
            $table->string('signature', 250)->nullable();
            $table->string('logo', 250)->nullable();
            $table->enum('status', ['New','Active','Suspended','Locked'])->nullable();
            $table->tinyInteger('is_verified')->nullable();
            $table->tinyInteger('is_locked')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('sellers');
    }
}
