<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for seller in seller package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  seller module in seller package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Seller',
    'names'         => 'Sellers',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Sellers',
        'sub'   => 'Sellers',
        'list'  => 'List of sellers',
        'edit'  => 'Edit seller',
        'create'    => 'Create new seller'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'other_authorized_seller' => ['Yes','No'],
            'handloom_marketing'  => ['Yes','No'],
            'status'              => ['New','Active','Suspended','Locked'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'reporting_to'               => 'Please enter reporting to',
        'name'                       => 'Please enter name',
        'email'                      => 'Please enter email',
        'password'                   => 'Please enter password',
        'business_type'              => 'Please enter business type',
        'gst_number'                 => 'Please enter gst number',
        'tan'                        => 'Please enter tan',
        'other_authorized_seller'        => 'Please select other authorized seller',
        'other_authorization_certificate'        => 'Please enter other authorization certificate',
        'handloom_marketing'         => 'Please select handloom marketing',
        'handloom_authorized_certificate'        => 'Please enter handloom authorized certificate',
        'pan'                        => 'Please enter pan',
        'api_token'                  => 'Please enter api token',
        'remember_token'             => 'Please enter remember token',
        'mobile'                     => 'Please enter mobile',
        'phone'                      => 'Please enter phone',
        'address'                    => 'Please enter address',
        'branch'                     => 'Please enter branch',
        'city'                       => 'Please enter city',
        'district'                   => 'Please enter district',
        'state'                      => 'Please enter state',
        'pincode'                    => 'Please enter pincode',
        'country'                    => 'Please enter country',
        'document'                   => 'Please enter document',
        'permissions'                => 'Please enter permissions',
        'signature'                  => 'Please enter signature',
        'logo'                       => 'Please enter logo',
        'status'                     => 'Please select status',
        'is_verified'                => 'Please enter is verified',
        'is_locked'                  => 'Please enter is locked',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'upload_folder'              => 'Please enter upload folder',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'reporting_to'               => 'Reporting to',
        'name'                       => 'Name',
        'email'                      => 'Email',
        'password'                   => 'Password',
        'business_type'              => 'Business type',
        'gst_number'                 => 'Gst number',
        'tan'                        => 'Tan',
        'other_authorized_seller'        => 'Other authorized seller',
        'other_authorization_certificate'        => 'Other authorization certificate',
        'handloom_marketing'         => 'Handloom marketing',
        'handloom_authorized_certificate'        => 'Handloom authorized certificate',
        'pan'                        => 'Pan',
        'api_token'                  => 'Api token',
        'remember_token'             => 'Remember token',
        'mobile'                     => 'Mobile',
        'phone'                      => 'Phone',
        'address'                    => 'Address',
        'branch'                     => 'Branch',
        'city'                       => 'City',
        'district'                   => 'District',
        'state'                      => 'State',
        'pincode'                    => 'Pincode',
        'country'                    => 'Country',
        'document'                   => 'Document',
        'permissions'                => 'Permissions',
        'signature'                  => 'Signature',
        'logo'                       => 'Logo',
        'status'                     => 'Status',
        'is_verified'                => 'Is verified',
        'is_locked'                  => 'Is locked',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'upload_folder'              => 'Upload folder',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'reporting_to'               => ['name' => 'Reporting to', 'data-column' => 1, 'checked'],
        'name'                       => ['name' => 'Name', 'data-column' => 2, 'checked'],
        'email'                      => ['name' => 'Email', 'data-column' => 3, 'checked'],
        'password'                   => ['name' => 'Password', 'data-column' => 4, 'checked'],
        'business_type'              => ['name' => 'Business type', 'data-column' => 5, 'checked'],
        'gst_number'                 => ['name' => 'Gst number', 'data-column' => 6, 'checked'],
        'tan'                        => ['name' => 'Tan', 'data-column' => 7, 'checked'],
        'other_authorized_seller'        => ['name' => 'Other authorized seller', 'data-column' => 8, 'checked'],
        'other_authorization_certificate'        => ['name' => 'Other authorization certificate', 'data-column' => 9, 'checked'],
        'handloom_marketing'         => ['name' => 'Handloom marketing', 'data-column' => 10, 'checked'],
        'handloom_authorized_certificate'        => ['name' => 'Handloom authorized certificate', 'data-column' => 11, 'checked'],
        'pan'                        => ['name' => 'Pan', 'data-column' => 12, 'checked'],
        'api_token'                  => ['name' => 'Api token', 'data-column' => 13, 'checked'],
        'remember_token'             => ['name' => 'Remember token', 'data-column' => 14, 'checked'],
        'mobile'                     => ['name' => 'Mobile', 'data-column' => 15, 'checked'],
        'phone'                      => ['name' => 'Phone', 'data-column' => 16, 'checked'],
        'address'                    => ['name' => 'Address', 'data-column' => 17, 'checked'],
        'branch'                     => ['name' => 'Branch', 'data-column' => 18, 'checked'],
        'city'                       => ['name' => 'City', 'data-column' => 19, 'checked'],
        'district'                   => ['name' => 'District', 'data-column' => 20, 'checked'],
        'state'                      => ['name' => 'State', 'data-column' => 21, 'checked'],
        'pincode'                    => ['name' => 'Pincode', 'data-column' => 22, 'checked'],
        'country'                    => ['name' => 'Country', 'data-column' => 23, 'checked'],
        'document'                   => ['name' => 'Document', 'data-column' => 24, 'checked'],
        'signature'                  => ['name' => 'Signature', 'data-column' => 25, 'checked'],
        'logo'                       => ['name' => 'Logo', 'data-column' => 26, 'checked'],
        'is_verified'                => ['name' => 'Is verified', 'data-column' => 27, 'checked'],
        'is_locked'                  => ['name' => 'Is locked', 'data-column' => 28, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Sellers',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
