<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            <i class="fa fa-file-text-o"></i> {!! trans('seller::seller.name') !!} <small> {!! trans('app.manage') !!} {!! trans('seller::seller.names') !!}</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{!! guard_url('/') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
            <li class="active">{!! trans('seller::seller.names') !!}</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
    <div id='seller-seller-entry'>
    </div>
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                    <li class="{!!(request('status') == '')?'active':'';!!}"><a href="{!!guard_url('seller/seller')!!}">{!! trans('seller::seller.names') !!}</a></li>
                    <li class="{!!(request('status') == 'archive')?'active':'';!!}"><a href="{!!guard_url('seller/seller?status=archive')!!}">Archived</a></li>
                    <li class="{!!(request('status') == 'deleted')?'active':'';!!}"><a href="{!!guard_url('seller/seller?status=deleted')!!}">Trashed</a></li>
                    <li class="pull-right">
                    <span class="actions">
                    <!--   
                    <a  class="btn btn-xs btn-purple"  href="{!!guard_url('seller/seller/reports')!!}"><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-sm hidden-xs"> Reports</span></a>
                    @include('seller::admin.seller.partial.actions')
                    -->
                    @include('seller::admin.seller.partial.filter')
                    @include('seller::admin.seller.partial.column')
                    </span> 
                </li>
            </ul>
            <div class="tab-content">
                <table id="seller-seller-list" class="table table-striped data-table">
                    <thead class="list_head">
                        <th style="text-align: right;" width="1%"><a class="btn-reset-filter" href="#Reset" style="display:none; color:#fff;"><i class="fa fa-filter"></i></a> <input type="checkbox" id="seller-seller-check-all"></th>
                        <th data-field="reporting_to">{!! trans('seller::seller.label.reporting_to')!!}</th>
                    <th data-field="name">{!! trans('seller::seller.label.name')!!}</th>
                    <th data-field="email">{!! trans('seller::seller.label.email')!!}</th>
                    <th data-field="password">{!! trans('seller::seller.label.password')!!}</th>
                    <th data-field="business_type">{!! trans('seller::seller.label.business_type')!!}</th>
                    <th data-field="gst_number">{!! trans('seller::seller.label.gst_number')!!}</th>
                    <th data-field="tan">{!! trans('seller::seller.label.tan')!!}</th>
                    <th data-field="other_authorized_seller">{!! trans('seller::seller.label.other_authorized_seller')!!}</th>
                    <th data-field="other_authorization_certificate">{!! trans('seller::seller.label.other_authorization_certificate')!!}</th>
                    <th data-field="handloom_marketing">{!! trans('seller::seller.label.handloom_marketing')!!}</th>
                    <th data-field="handloom_authorized_certificate">{!! trans('seller::seller.label.handloom_authorized_certificate')!!}</th>
                    <th data-field="pan">{!! trans('seller::seller.label.pan')!!}</th>
                    <th data-field="api_token">{!! trans('seller::seller.label.api_token')!!}</th>
                    <th data-field="remember_token">{!! trans('seller::seller.label.remember_token')!!}</th>
                    <th data-field="mobile">{!! trans('seller::seller.label.mobile')!!}</th>
                    <th data-field="phone">{!! trans('seller::seller.label.phone')!!}</th>
                    <th data-field="address">{!! trans('seller::seller.label.address')!!}</th>
                    <th data-field="branch">{!! trans('seller::seller.label.branch')!!}</th>
                    <th data-field="city">{!! trans('seller::seller.label.city')!!}</th>
                    <th data-field="district">{!! trans('seller::seller.label.district')!!}</th>
                    <th data-field="state">{!! trans('seller::seller.label.state')!!}</th>
                    <th data-field="pincode">{!! trans('seller::seller.label.pincode')!!}</th>
                    <th data-field="country">{!! trans('seller::seller.label.country')!!}</th>
                    <th data-field="document">{!! trans('seller::seller.label.document')!!}</th>
                    <th data-field="signature">{!! trans('seller::seller.label.signature')!!}</th>
                    <th data-field="logo">{!! trans('seller::seller.label.logo')!!}</th>
                    <th data-field="is_verified">{!! trans('seller::seller.label.is_verified')!!}</th>
                    <th data-field="is_locked">{!! trans('seller::seller.label.is_locked')!!}</th>
                    </thead>
                </table>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">

var oTable;
var oSearch;
$(document).ready(function(){
    app.load('#seller-seller-entry', '{!!guard_url('seller/seller/0')!!}');
    oTable = $('#seller-seller-list').dataTable( {
        'columnDefs': [{
            'targets': 0,
            'searchable': false,
            'orderable': false,
            'className': 'dt-body-center',
            'render': function (data, type, full, meta){
                return '<input type="checkbox" name="id[]" value="' + data.id + '">';
            }
        }], 
        
        "responsive" : true,
        "order": [[1, 'asc']],
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! guard_url('seller/seller') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $.each(oSearch, function(key, val){
                aoData.push( { 'name' : key, 'value' : val } );
            });
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'id'},
            {data :'reporting_to'},
            {data :'name'},
            {data :'email'},
            {data :'password'},
            {data :'business_type'},
            {data :'gst_number'},
            {data :'tan'},
            {data :'other_authorized_seller'},
            {data :'other_authorization_certificate'},
            {data :'handloom_marketing'},
            {data :'handloom_authorized_certificate'},
            {data :'pan'},
            {data :'api_token'},
            {data :'remember_token'},
            {data :'mobile'},
            {data :'phone'},
            {data :'address'},
            {data :'branch'},
            {data :'city'},
            {data :'district'},
            {data :'state'},
            {data :'pincode'},
            {data :'country'},
            {data :'document'},
            {data :'signature'},
            {data :'logo'},
            {data :'is_verified'},
            {data :'is_locked'},
        ],
        "pageLength": 25
    });

    $('#seller-seller-list tbody').on( 'click', 'tr td:not(:first-child)', function (e) {
        e.preventDefault();

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
        var d = $('#seller-seller-list').DataTable().row( this ).data();
        $('#seller-seller-entry').load('{!!guard_url('seller/seller')!!}' + '/' + d.id);
    });

    $('#seller-seller-list tbody').on( 'change', "input[name^='id[]']", function (e) {
        e.preventDefault();

        aIds = [];
        $(".child").remove();
        $(this).parent().parent().removeClass('parent'); 
        $("input[name^='id[]']:checked").each(function(){
            aIds.push($(this).val());
        });
    });

    $("#seller-seller-check-all").on( 'change', function (e) {
        e.preventDefault();
        aIds = [];
        if ($(this).prop('checked')) {
            $("input[name^='id[]']").each(function(){
                $(this).prop('checked',true);
                aIds.push($(this).val());
            });

            return;
        }else{
            $("input[name^='id[]']").prop('checked',false);
        }
        
    });


    $(".reset_filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        $('#form-search input,#form-search select').each( function () {
          oTable.search( this.value ).draw();
        });
        $('#seller-seller-list .reset_filter').css('display', 'none');

    });


    // Add event listener for opening and closing details
    $('#seller-seller-list tbody').on('click', 'td.details-control', function (e) {
        e.preventDefault();
        var tr = $(this).closest('tr');
        var row = table.row( tr );
 
        if ( row.child.isShown() ) {
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else {
            // Open this row
            row.child( format(row.data()) ).show();
            tr.addClass('shown');
        }
    });

});
</script>