<?php

namespace Shopping\Seller\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SellerBankInfoTransformer extends TransformerAbstract
{
    public function transform(\Shopping\Seller\Models\SellerBankInfo $seller_bank_info)
    {
        return [
            'id'                => $seller_bank_info->getRouteKey(),
            'key'               => [
                'public'    => $seller_bank_info->getPublicKey(),
                'route'     => $seller_bank_info->getRouteKey(),
            ], 
            'id'                => $seller_bank_info->id,
            'seller_id'         => $seller_bank_info->seller_id,
            'bank_name'         => $seller_bank_info->bank_name,
            'account_number'    => $seller_bank_info->account_number,
            'branch'            => $seller_bank_info->branch,
            'city'              => $seller_bank_info->city,
            'state'             => $seller_bank_info->state,
            'document'          => $seller_bank_info->document,
            'created_at'        => $seller_bank_info->created_at,
            'updated_at'        => $seller_bank_info->updated_at,
            'deleted_at'        => $seller_bank_info->deleted_at,
            'url'               => [
                'public'    => trans_url('seller/'.$seller_bank_info->getPublicKey()),
                'user'      => guard_url('seller/seller_bank_info/'.$seller_bank_info->getRouteKey()),
            ], 
            'status'            => trans('app.'.$seller_bank_info->status),
            'created_at'        => format_date($seller_bank_info->created_at),
            'updated_at'        => format_date($seller_bank_info->updated_at),
        ];
    }
}