<?php

namespace Shopping\Seller\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SellerTransformer extends TransformerAbstract
{
    public function transform(\Shopping\Seller\Models\Seller $seller)
    {
        return [
            'id'                => $seller->getRouteKey(),
            'key'               => [
                'public'    => $seller->getPublicKey(),
                'route'     => $seller->getRouteKey(),
            ], 
            'reporting_to'      => $seller->reporting_to,
            'name'              => $seller->name,
            'email'             => $seller->email,
            'password'          => $seller->password,
            'business_type'     => $seller->business_type,
            'gst_number'        => $seller->gst_number,
            'tan'               => $seller->tan,
            'other_authorized_seller' => $seller->other_authorized_seller,
            'other_authorization_certificate' => $seller->other_authorization_certificate,
            'handloom_marketing' => $seller->handloom_marketing,
            'handloom_authorized_certificate' => $seller->handloom_authorized_certificate,
            'pan'               => $seller->pan,
            'api_token'         => $seller->api_token,
            'remember_token'    => $seller->remember_token,
            'mobile'            => $seller->mobile,
            'phone'             => $seller->phone,
            'address'           => $seller->address,
            'branch'            => $seller->branch,
            'city'              => $seller->city,
            'district'          => $seller->district,
            'state'             => $seller->state,
            'pincode'           => $seller->pincode,
            'country'           => $seller->country,
            'document'          => $seller->document,
            'permissions'       => $seller->permissions,
            'signature'         => $seller->signature,
            'logo'              => $seller->logo,
            'status'            => $seller->status,
            'is_verified'       => $seller->is_verified,
            'is_locked'         => $seller->is_locked,
            'user_id'           => $seller->user_id,
            'user_type'         => $seller->user_type,
            'upload_folder'     => $seller->upload_folder,
            'deleted_at'        => $seller->deleted_at,
            'created_at'        => $seller->created_at,
            'updated_at'        => $seller->updated_at,
            'url'               => [
                'public'    => trans_url('seller/'.$seller->getPublicKey()),
                'user'      => guard_url('seller/seller/'.$seller->getRouteKey()),
            ], 
            'status'            => trans('app.'.$seller->status),
            'created_at'        => format_date($seller->created_at),
            'updated_at'        => format_date($seller->updated_at),
        ];
    }
}